import { PrismaClient } from "@/generated/prisma";

export async function GET(request: Request) {
  const prisma = new PrismaClient();

  const clients = await prisma.cliente.findMany({
    include: {
      registratori: {
        include: {
          interventi: true,
        },
      },
    },
  });

  return Response.json({ clients });
}

export async function POST(request: Request) {
  const prisma = new PrismaClient();
  const data = await request.json();

  await prisma.cliente.create({
    data: {
      contratto: data.contratto,
      email: data.email,
      partita_iva: data.partita_iva,
      ragione_sociale: data.ragione_sociale,
      sede: data.sede,
      sede_url: data.sede_url,
      telefono: data.telefono,
      registratori: {
        create: {
          interventi: {
            create: {
              data: new Date("2025-10-30"),
              fattura: true,
              lavoro: "Boh, cazzeggiato tutto il tempo",
            },
          },
        },
      },
    },
  });

  return Response.json({ message: "fatto bastardo" });
}
